import type { Router } from 'vue-router';
import type { ToastServiceMethods } from 'primevue/toastservice';
import type { AuthState } from '@gnuhost/gnuhost-vue3-core/models';
import type { LoginFormModel, RegisterationFormModel } from '../models/custom-types';
export type AuthStoreOptions = {
    router: Router;
    portal_base_url?: string;
    login_base_url?: string;
    toast: ToastServiceMethods;
};
declare class AuthStoreClass {
    private static _instance;
    static _options: AuthStoreOptions;
    private constructor();
    static get Instance(): AuthStoreClass;
    configureAuthStoreOptions(options: AuthStoreOptions): void;
}
export declare const AuthStore: AuthStoreClass;
export declare const useAuthStore: import("pinia").StoreDefinition<"auth", AuthState, {}, {
    getLoginUrl(redirectPath?: string): string | null;
    register(model: RegisterationFormModel, returnUrl: string): Promise<void>;
    login(model: LoginFormModel, returnUrl: string): Promise<boolean>;
    logout(): Promise<void>;
}>;
export {};
